Help Content
Top

Freeware for Computer Novice -

Advanced WindowsCare
repair and fix windows with 1-click

Slow down, freeze and blue-screen crash are over. Advanced WindowsCare thoroughly examines the Windows system, accurately detects the bottlenecks for slowing down and crashing, fixes these problems and repairs Windows. All work will be done with 30 seconds and 1 click. The intuitive interface makes Advanced WindowsCare the perfect tool for big dummies.

HomePage: http://www.iobit.com/WindowsCare.htm

Testimonials

cnet "If your system is running sluggishly and you're considering reinstalling Windows, it wouldn't hurt to try this freeware package first." - CNET Editors

freedownload "This is a must to have software in each and every system!"

OptimizeVistalogo Recommended! for Optimize and Repair Windows XP and 2000

Fantastic and FREE! I'm not sure why this software product is free, because it works as good as all the optimizers and registry cleaners that I paid for. I tried it out on my test pc, because my regular pc was already tweaked from my purchased registry optimizers. Advanced Windows Care sped up the boot time and in general, my whole os by about 25 percent or more. It has a lot of features and scans and repairs your registry quickly. 5 stars and two thumbs up! - goldengreeke

Can't believe it's a Freebie! This Program rocks...I have just loaded it to all my pc's with out any problems .It has given me back the speed that I had. The ones who have had problems with the application failing should have read the README file ...It states that if this program is unstable you prob have a embedded virus or some sort of ad-aware issue. I'm glad to have this one on my pc.Thumbs up to the IObit crew.. - bearcat411

Tip of Today
Move your mouse to "x problems" or "Not optimal" and see the details.

tooltipsmall

System Requirements

Operating Systems
Windows 2000
Windows XP (Recommended)
Minimum Hardware
Pentium 233 MHz (Recommended: Pentium 500MHz or greater)
128 MB RAM (Recommended: 256 MB RAM or greater)
10 MB hard drive space

Troubleshooting

· Virus, spyware and adware that can destroy your Windows system, can also make Advanced WindowsCare run unstably. If odd problems happen during Advanced WindowsCare running, clean your system of spyware and adware. In addition, close all other applications before and while running Advanced WindowsCare, since Advanced WindowsCare is doing serious system work.
· After running Advanced WindowsCare, if you find that your hardware or software system is not compatible with Advanced WindowsCare (hardly ever happens but is possible), please follow these instructions: 1) open Advanced WindowsCare; 2) click "Analyze" and wait two seconds; 3) choose "Restoration" and click "Restore" button; 4) do the following job and reboot your computer.
· "Repair" is more compatible with Windows. Select "Optimize" only if you want a high-speed system without some Windows functions (see "What will Advanced WindowsCare do" section).

Frequently Asked Questions

· Do I need to run Advanced WindowsCare every time I start my computer?

For most instances, Advanced WindowsCare needs to only be run once every one month. But you also should run Advanced WindowsCare after you install new hardware and software on your computer. This will insure that any changes that may have resulted from the installation are detected and Advanced WindowsCare makes appropriate changes to your computer system.

· How much is it?

Advanced WindowsCare is a freeware. So it costs zero penny. We suggest upgrading Advanced WindowsCare to Intelli HyperSpeed 2005, more functional and powerful. The upgrade costs only USD$24.95, a low price compared with other system utilities. But if you really hate paying some money, no problems, stick to Advanced WindowsCare, enjoy its free use and updates.

· I have serious system problems after using your software. What should I do?

We are so sorry about your trouble. But don't panic! Advanced WindowsCare can recover your old Windows settings reliably and safely.
If you can still go into Windows, run Advanced WindowsCare and choose "Restoration" after analyzing.
If you experience system crash or rebooting loop problems and can't go into Windows with Normal Mode, in the next reboot just hit "F8" before starting Windows, then go into "Advanced Startup Options for Windows" menu, and choose "Safe Mode". You can run Advanced WindowsCare in Windows with safe mode and make a restoration.

· My Windows system seems unstable and loses some functions I really need. Can you tell me the reason?

For best performance, Advanced WindowsCare with "Optimize" mode disables some Windows services which are commonly considered useless and proved to be safe for most computers. (Below will tell more information about "Optimize" and "Repair" modes.)
However, if your system is an exception. take the following steps: 1) choose "Restoration"; 2) run it and reboot; 3) choose "Repair", run it and reboot. If your problem persists, refer to the previous Q&A. Email us immediately if this does not resolve your problem.

What Will Advanced WindowsCare Do

awcop

Click "Details..." and you will see a work list that Advanced WindowsCare can do for your computer. If you are confused with some options, just put your mouse on them and you will get more information in their popup tool tips. Below we will not duplicate explanations on tweaking your Windows, since there are many websites, articles and guides.

How To Use Advanced WindowsCare

Advanced WindowsCare is designed for intuitive use. First, it automatically analyzes your Windows system in seconds and gives you a report, telling you how many problems should be fixed and which options should be optimized. It will recommend a best maintenance method: Repair or Optimize. Then you just need click "Go!" and Advanced WindowsCare will automatically finish the job!

About Optimize

Yes, everyone wants his or her computer running faster. But before choosing "Optimize", you should know what you will lose in this "optimized" mode.

· Windows will focus more on network requests from applications, and you will get a low system background transfer priority and speed.
· Some of your Windows services will be turned off and some functions of Windows may not work.
· You will have the higher priority for foreground applications, which will lower the background processes.
· The Clear Type will be turned off for better displaying speed.
· Some gorgeous WinXP Visual Effects or those you predefined will be off.

About Restoration

· Advanced WindowsCare provides two methods for rolling back: Restore to Windows Defaults or Restore to Your Own Previous Settings (i.e., the settings before the first time you used Advanced WindowsCare).
· On some computers with lots of software, the restoration process will take a little longer time. Wait patiently if the progress bar seems to freeze.

Need Further Help?

See Contact information. Please note that technical help for Advanced WindowsCare is not guaranteed, since it is freeware.

Update History

28 Feb, 2006
Advanced WindowsCare 1.71

Add a link for looking up suspicious startup items
Fix a bug of LAN connection
Fix several internal bugs

2 Jan, 2006
Advanced WindowsCare 1.7

Provide full support for Tablet PC
Add a Help file
Fix internal bugs
Provide support for WindowsVista (for testing only)

05 Dec, 2005
Advanced WindowsCare 1.6

Provide details of what's changed to your system
Fix sharing connection bug
Fix some internal bugs

06 Nov, 2005
Advanced WindowsCare 1.5

Fix BSOD (Blue screen of dead) bug and improve overall compatibility
Rewrite restoration function
Fix visual effects bug in Windows XP

12 Oct, 2005
Advanced WindowsCare 1.4

Improve the program and its interface
Improve IntelliOptimization sub-system
Fix Windows Restoration bug
Fix icon display bug
Fix some compatible problems

30 July, 2005
Advanced WindowsCare 1.3

Improve optimization engine (Speed UP, Power UP!)
Special optimization for wireless network connection (For GPRS, 802.11b, 802.11g, etc.)
Add more optimization for Microsoft programs and the 3rd party programs (such as Firefox, media player)
Improve the program and its interface (the software can remember the last configuration you set; etc. )
Improve IntelliSafe sub-system (you can now easily restore to your own previous settings)
Fix general bugs

25 Jun, 2005
Advanced WindowsCare 1.1

Add "Optimize Microsoft Office" option
Add "Tune up MS Messenger" option
Add "DNS Caching Optimization"
Add "PageFile fixing"
Improve the interface
General bugs fixed

05 May, 2005
Advanced WindowsCare 1.0

Add "VitualMemory Optimization"
Add "Clear Icon Cache" and "Repair Taskbar"
Fixe the bug of "Restoring"
General bugs fixed

10 Mar, 2005
Advanced WindowsCare 1.1 beta

Add "Repair improper settings" function
Adjust several optimal configurations